org.apache.ignite.internal.processors.igfs

## Class IgfsFileWorkerBatchCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.igfs.IgfsFileWorkerBatchCancelledException

All Implemented Interfaces:
  Serializable

    public class IgfsFileWorkerBatchCancelledException
    extends IgniteCheckedException

Exception indicating that file batch processing was cancelled.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsFileWorkerBatchCancelledException()` Default constructor.
`IgfsFileWorkerBatchCancelledException(IgfsPath path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsFileWorkerBatchCancelledException

    public IgfsFileWorkerBatchCancelledException()

Default constructor.

#### IgfsFileWorkerBatchCancelledException

    public IgfsFileWorkerBatchCancelledException(IgfsPath path)

### Method Detail

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020